Summary:        OAuth library functions
Name:           liboauth
Version:        1.0.3
Release:        3%{?dist}
License:        MIT
URL:            http://liboauth.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  make gcc
BuildRequires:  curl-devel nss-devel

%description
liboauth is a set of POSIX-c functions implementing the OAuth Core RFC 5849 standard. It provides 
functions to escape and encode parameters according to OAuth specification and offers high-level 
functionality to sign requests or verify OAuth signatures as well as perform HTTP requests.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package provides libraries and header files for developing applications that use %{name}.


%prep
%autosetup


%build
%configure --disable-static --enable-nss
%make_build


%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%files
%license COPYING.MIT
%doc AUTHORS README 
%{_libdir}/*.so.*

%files devel
%doc ChangeLog
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/oauth.pc
%{_mandir}/man3/oauth.*


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.3-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 29 2022 Wang Guodong <gordonwwang@tencent.com> - 1.0.3-1
- package init.
